class profile::monitoring::times inherits profile::monitoring::params {
  Nagios_timeperiod {
    ensure  => "present",
    owner   => "naemon",
    group   => "naemon",
    target  => $objects,
    notify  => Service["naemon"],
    before  => Service["naemon"],
    require => File["/etc/naemon"],
  }

  nagios_timeperiod { "24x7":
    alias     => "24 Hours A Day, 7 Days A Week",
    monday    => "00:00-24:00",
    tuesday   => "00:00-24:00",
    wednesday => "00:00-24:00",
    thursday  => "00:00-24:00",
    friday    => "00:00-24:00",
    saturday  => "00:00-24:00",
    sunday    => "00:00-24:00",
  }

}
